# SignOperation

abstract class SignOperation : SignatureSpec

A sign operation creates digital signatures for one or more files or publish artifacts.

The external representation of the signature is specified by the signature type property, while the signatory property specifies who is to sign.

A sign operation manages one or more Signature objects. The `sign` methods are used to register things to generate signatures for. The execute method generates the signatures for all of the registered items at that time.

## Constructors

SignOperation
Link copied to clipboard
constructor()

## Properties

signatory
Link copied to clipboard
open var signatory: Signatory
The signatory to the generated digital signatures.
signatures
Link copied to clipboard
val signatures: List<Signature>
signatureType
Link copied to clipboard
open var signatureType: SignatureType
The file representation of the signature(s).

## Functions

configure
Link copied to clipboard
open fun configure(closure: Closure): SignOperation
Executes the given closure against this object.
execute
Link copied to clipboard
open fun execute(): SignOperation
Generates actual signature files for all of the registered signatures.
getDisplayName
Link copied to clipboard
open fun getDisplayName(): String
getFilesToSign
Link copied to clipboard
open fun getFilesToSign(): FileCollection
All of the files that will be signed by this operation.
getSignatory
Link copied to clipboard
abstract fun getSignatory(): Signatory
getSignatureFiles
Link copied to clipboard
open fun getSignatureFiles(): FileCollection
All of the signature files that will be generated by this operation.
getSignatureType
Link copied to clipboard
abstract fun getSignatureType(): SignatureType
getSingleSignature
Link copied to clipboard
open fun getSingleSignature(): Signature
Returns the single registered signature.
isRequired
Link copied to clipboard
open fun isRequired(): Boolean
setRequired
Link copied to clipboard
open fun setRequired(required: Boolean)
setSignatory
Link copied to clipboard
abstract fun setSignatory(signatory: Signatory)
setSignatureType
Link copied to clipboard
abstract fun setSignatureType(type: SignatureType)
sign
Link copied to clipboard
open fun sign(files: Array<File>): SignOperation
Registers signatures for the given files.
open fun sign(artifacts: Array<PublishArtifact>): SignOperation
Registers signatures for the given artifacts.
open fun sign(classifier: String, files: Array<File>): SignOperation
Registers signatures (with the given classifier) for the given files
signatory
Link copied to clipboard
open fun signatory(signatory: Signatory): SignOperation
Change the signatory for signature generation.
signatureType
Link copied to clipboard
open fun signatureType(type: SignatureType): SignOperation
Change the signature type for signature generation.
toString
Link copied to clipboard
open fun toString(): String